//
// Test for circular buffer.
//

public class CircBufTest extends java.applet.Applet {

	static public void fillFrame( byte[] frame, int startNum ) {
		frame[0] = (byte)255;
		frame[1] = (byte)startNum;
		frame[2] = (byte)2;
		frame[3] = (byte)3;
		frame[4] = (byte)4;
		frame[5] = (byte)5;
		frame[6] = (byte)6;
		frame[7] = (byte)7;
		frame[8] = (byte)8;
	}

	static public void main( String args[] ) {
		CircularBuffer buf = new CircularBuffer( 1000 );
		byte[] frame = new byte[ 9 ];
		for ( int i = 1; i < 100; i++ ) {
			fillFrame( frame, i );
			buf.putBytes( frame, 9 );
		}
		if ( buf.hasBytes( (byte)255 )) System.out.println( "Found a frame as expected." );
		else System.out.println( "Failed to find a frame as expected." );
		if ( buf.byteDistance() != 8 ) System.out.println( "Unexpected distance " + buf.byteDistance() );
		else System.out.println( "Distance was as expected.." );
	}
}